Skip to main content
Read tool

Authorizations

Authorization
string
header
required

The server's token (MIRAGE_AUTH_TOKEN) or a JWT. A daemon in the default local mode with no token accepts requests without one.

Path Parameters

workspace_id
string
required

The workspace's id.

Query Parameters

session_id
string

The session the call acts as; the default session when absent.

Body

application/json
path
string
required

Absolute path of the file to read.

offset
integer

First line to return, zero-based (default 0).

Required range: x >= 0
limit
integer

Maximum number of lines to return (default 2000).

Required range: x >= 1

Response

OK

text
string
required
is_error
boolean
required